Geo::GDAL::FFI::SpatialReference(3pm)

NAME
Geo::GDAL::FFI::SpatialReference - A spatial reference system in GDAL

SYNOPSIS

DESCRIPTION

METHODS

  new
Create a new SpatialReference object.

 my $sr = Geo::GDAL::FFI::SpatialReference->new('WKT here...');

If only one argument is given, it is taken as the well known text (WKT) associated with the spatial reference system (SRS).

 my $sr = Geo::GDAL::FFI::SpatialReference->new(EPSG => 3067);

If there are more than one argument, the first argument is taken as a format and the rest of the arguments are taken as arguments to the format. The list of formats known to GDAL (at the time of this writing) is EPSG, EPSGA, Wkt, Proj4, ESRI, PCI, USGS, XML, Dict, Panorama, Ozi, MICoordSys, ERM, Url.

  Export
 $sr->Export($format, @args);

Export a SpatialReference object to a format. The list of formats known to GDAL (at the time of this writing) is Wkt, PrettyWkt, Proj4, PCI, USGS, XML, Panorama, MICoordSys, ERM.

  Set
 $sr->Set($proj, @args);

Set projection parameters in a SpatialReference object. The list of projection parameters known to GDAL (at the time of this writing) is Axes, ACEA, AE, Bonne, CEA, CS, EC, Eckert, EckertIV, EckertVI, Equirectangular, Equirectangular2, GS, GH, IGH, GEOS, GaussSchreiberTMercator, Gnomonic, HOM, HOMAC, HOM2PNO, IWMPolyconic, Krovak, LAEA, LCC, LCC1SP, LCCB, MC, Mercator, Mercator2SP, Mollweide, NZMG, OS, Orthographic, Polyconic, PS, Robinson, Sinusoidal, Stereographic, SOC, TM, TMVariant, TMG, TMSO, TPED, VDG, Wagner, QSC, SCH.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>